/*---------------------------------------------------------------------------------------------------*\
|   PROGRAM NAME: dx3_prev.sas                                                                        |
|                                                                                                     |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Version: Revised 1.0                                                                              |
|   Date: September 24, 2015                                                                          |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Program inputs:                                                                                   |
|       Multiple Dx_3_digit temporary tables split by time segment                                    |
|   Program outputs:                                                                                  |
|       Final "ICD9_Diagnosis" Summary Table                                                          |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Contact:                                                                                          |
|       Mini-Sentinel Coordinating Center                                                             |
|       info@mini-sentinel.org                                                                        |
\*---------------------------------------------------------------------------------------------------*/

%*** Call Prevalent Summary macro to create aggregates and finalize Dx3 Prevalent Table;
%prev_summ_finalize(
  InFile=DPTemp.dx_3_digit,
  OutFile=dplocal.ICD9_Diagnosis,
  EventVar=Code,
  EventVarLength=3,
  EventVarLabel=%str(3-digit Dx Code),
  SummVar=,
  Setting=Y,
  StratVars=AgeTimePeriodGroupKey Sex,
  LookupTbl=InFolder.Dx_icd9_3dig_lookup,
  DescripPairLength=srt_descrip|DxName|35|Diagnosis Name
  );

* End of dx3_prev.sas;
