/*---------------------------------------------------------------------------------------------------*\
|   PROGRAM NAME: dx5_prev.sas                                                                        |
|                                                                                                     |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Version: Revised 1.0                                                                              |
|   Date: October 14, 2015                                                                            |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Program inputs:                                                                                   |
|       Multiple DX_5_Digit temporary tables split by time segment                                    |
|   Program outputs:                                                                                  |
|       Final "ICD-9-CM Diagnosis (5 digit)" Summary Table                                            |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Contact:                                                                                          |
|       Mini-Sentinel Coordinating Center                                                             |
|       info@mini-sentinel.org                                                                        |
\*---------------------------------------------------------------------------------------------------*/

%*** Call Prevalent Summary macro to create aggregates and finalize Dx5 Prevalent Table;
%prev_summ_finalize(
  InFile=DPTemp.dx_5_digit,
  OutFile=dplocal.Icd9_diagnosis_5_digit,
  EventVar=Code,
  EventVarLength=5,
  EventVarLabel=%str(5-digit Dx Code),
  SummVar=,
  Setting=Y,
  StratVars=AgeTimePeriodGroupKey Sex,
  LookupTbl=InFolder.Dx_icd9_5dig_lookup,
  DescripPairLength=srt_descrip|DxName|35|Diagnosis Name
  );

* End of dx5_prev.sas;
